
QGIS Application - Bug report #7321

all feature disappear when a node is modified using node tools and the symbology is not "single 

symbol"

2013-03-11 04:10 AM - Luca Lanteri

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16310

Description

In QGIS MASTER when a feature is modified using the node tool, all feature desappear except the modified one. So' it's impossible to

perform any snapping.

Related issues:

Related to QGIS Application - Bug report # 7472: vector editing errors Closed 2013-03-29

History

#1 - 2013-03-11 04:12 AM - Giovanni Manghi

- Status changed from Open to Feedback

have you updated to the latest master? does this happen on a new project? what platform? can you attach sample data?

#2 - 2013-03-11 06:25 AM - Luca Lanteri

- File testdata.zip added

The last version that I tried is 1.9.0-Master-ed48ffb (1.9.0-213 on Osgeo4W), win7 and linux. It'happen also with new project, I've tried with postGIS data

and shapefile. After some test I've seen that it occours only if I use a categorized legend (see attached test data).

#3 - 2013-03-11 07:18 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.0.0

- Subject changed from all feature disappear when a node is modified using node tools to all feature disappear when a node is modified using node tools 

and the symbology is not "single symbol"

#4 - 2013-03-11 09:19 AM - Alessandro Ciali

Confirmed for me. See also Bug #7267, it seems to be correlated, because it appens the same feature desapper during editing.

#5 - 2013-05-28 08:50 PM - Nathan Woodrow

- Status changed from Feedback to Closed

- Resolution set to duplicate
This is related to #7660

Files

testdata.zip 4.09 KB 2013-03-11 Luca Lanteri
